#ifndef SHADOWWIN_H
#define SHADOWWIN_H


#include "RMWin.h"

class ShadowWin : public RMWin
{
public:
	ShadowWin();
	BOOL CreateScene();
protected:
	//{{AFX_MSG(ShadowWin)
	afx_msg void OnRenderWireframe();
	afx_msg void OnRenderFlat();
	afx_msg void OnRenderGouraud();
	afx_msg void OnUpdateRenderFlat(CCmdUI* pCmdUI);
	afx_msg void OnUpdateRenderGouraud(CCmdUI* pCmdUI);
	afx_msg void OnUpdateRenderWireframe(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
    LPDIRECT3DRMMESHBUILDER floorbuilder;
    LPDIRECT3DRMMESHBUILDER forkbuilder;
    static void AdjustSpin(LPDIRECT3DRMFRAME frame, void*, D3DVALUE);
};


#endif
